package br.com.rjconsultores.auditador.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Anotação responsável para auditar o campos que são listas.
 * 
 * @author wilian
 *
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface AuditarLista {

	/**
	 * Caso seja necessário colocar um nome amigável para o atributo, seNão for informado o padrão será o nome do atributo da classe.
	 */
	String nome() default "";
	
	/**
	 * Indica que os atributos da lista sao entidades e precisam ser auditados individualmente. O padrão é comparar apenas se os itens da lista foram removidos ou adicionados.
	 * @return
	 */
	boolean auditarEntidades() default false;

}
