package br.com.rjconsultores.auditador.auditadores;

import java.lang.reflect.AccessibleObject;
import java.util.ArrayList;
import java.util.List;

import br.com.rjconsultores.auditador.exceptions.AuditadorException;
import br.com.rjconsultores.auditador.model.AuditadorObjects;

class AuditadorAtributo {
	
	protected Auditador auditador;

	public AuditadorAtributo(Auditador auditar) {
		super();
		this.auditador = auditar;
	}
	
	public List<AuditadorObjects> auditar(AccessibleObject campo, Object original, Object novo, String nomeClasse) {
		List<AuditadorObjects> lsRetorno = new ArrayList<AuditadorObjects>();
		try {
			
			if(!auditador.isObjetosNulos(original, novo)) {
				String pattern = auditador.extrairPattern(campo);
				
				Object valorOriginal = auditador.getValor(campo, original, pattern);
				Object valorNovo = auditador.getValor(campo, novo, pattern);
				AuditadorObjects auditado = auditador.auditarCampo(campo, valorOriginal, valorNovo, nomeClasse);
				if(auditado != null) {
					lsRetorno.add(auditado);
				}
			}
			
		} catch (Exception e) {
			throw new AuditadorException(e.getMessage(), e);
		} catch (Throwable e) {
			throw new AuditadorException(e.getMessage(), e);
		}
		return lsRetorno;
	}

}
