package com.rjconsultores.ventaboletos.blocos.caixa;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.enuns.TipoInscricaoPagador;

public class DetalheObrigatorioCaixa implements DetalheObrigatorio, Cloneable {
	
	private Integer idBoletoFechamento;
	private TipoInscricaoPagador tipoInscricaoPagador;
	private String numeroInscricao;
	private String nossoNumero;
	private String numeroDoDocumento;
	private Date vencimento;
	private BigDecimal valor;
	private String especieDeTitulo;
	private Date emissao;
	private BigDecimal valorAtraso = BigDecimal.ZERO;
	private BigDecimal valorMulta = BigDecimal.ZERO;
	private Date dataLimiteDesconto;
	private BigDecimal valorDesconto = BigDecimal.ZERO;
	private BigDecimal valorIOF = BigDecimal.ZERO;
	private BigDecimal valorAbatimentoConcedido = BigDecimal.ZERO;
	private String nomeSacado;
	private String enderecoSacado;
	private String bairroSacado;
	private String cepSacado;
	private String cidade;
	private String estado;
	private String sacadorAvalista;
	private Integer numeroSequencialRegistro;
	private String numeroInscricaoSacado;

	
	@Override
	public void setIdBoletoFechamento(Integer id) {
		this.idBoletoFechamento = id;
		
	}
	@Override
	public Integer getIdBoletoFechamento(){
		return this.idBoletoFechamento;
	}

	@Override
	public DetalheObrigatorio clone() throws CloneNotSupportedException {
		return (DetalheObrigatorio) super.clone();
	}
	
	public String getNumeroInscricao() {
		return numeroInscricao;
	}
	
	public void setNumeroInscricao(String numeroInscricao) {
		this.numeroInscricao = numeroInscricao;
	}
	public String getNossoNumero() {
		return nossoNumero;
	}
	public void setNossoNumero(String nossoNumero) {
		this.nossoNumero = nossoNumero;
	}
	public Date getVencimento() {
		return vencimento;
	}
	public void setVencimento(Date vencimento) {
		this.vencimento = vencimento;
	}
	public String getNumeroDoDocumento() {
		return numeroDoDocumento;
	}
	public void setNumeroDoDocumento(String numeroDoDocumento) {
		this.numeroDoDocumento = numeroDoDocumento;
	}
	public String getEspecieDeTitulo() {
		return especieDeTitulo;
	}
	public void setEspecieDeTitulo(String especieDeTitulo) {
		this.especieDeTitulo = especieDeTitulo;
	}
	public BigDecimal getValor() {
		return valor;
	}
	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}
	public Date getEmissao() {
		return emissao;
	}
	public void setEmissao(Date emissao) {
		this.emissao = emissao;
	}
	public BigDecimal getValorAtraso() {
		return valorAtraso;
	}
	public void setValorAtraso(BigDecimal valorAtraso) {
		this.valorAtraso = valorAtraso;
	}
	public BigDecimal getValorMulta() {
		return valorMulta;
	}
	public void setValorMulta(BigDecimal valorMulta) {
		this.valorMulta = valorMulta;
	}
	public Date getDataLimiteDesconto() {
		return dataLimiteDesconto;
	}
	public void setDataLimiteDesconto(Date dataLimiteDesconto) {
		this.dataLimiteDesconto = dataLimiteDesconto;
	}
	public BigDecimal getValorDesconto() {
		return valorDesconto;
	}
	public void setValorDesconto(BigDecimal valorDesconto) {
		this.valorDesconto = valorDesconto;
	}
	public BigDecimal getValorIOF() {
		return valorIOF;
	}
	public void setValorIOF(BigDecimal valorIOF) {
		this.valorIOF = valorIOF;
	}
	public BigDecimal getValorAbatimentoConcedido() {
		return valorAbatimentoConcedido;
	}
	public void setValorAbatimentoConcedido(BigDecimal valorAbatimentoConcedido) {
		this.valorAbatimentoConcedido = valorAbatimentoConcedido;
	}
	public TipoInscricaoPagador getTipoInscricaoPagador() {
		return tipoInscricaoPagador;
	}
	public void setTipoInscricaoPagador(TipoInscricaoPagador tipoInscricaoPagador) {
		this.tipoInscricaoPagador = tipoInscricaoPagador;
	}
	public String getNomeSacado() {
		return nomeSacado;
	}
	public void setNomeSacado(String nomeSacado) {
		this.nomeSacado = nomeSacado;
	}
	public String getEnderecoSacado() {
		return enderecoSacado;
	}
	public void setEnderecoSacado(String enderecoSacado) {
		this.enderecoSacado = enderecoSacado;
	}
	public String getBairroSacado() {
		return bairroSacado;
	}
	public void setBairroSacado(String bairroSacado) {
		this.bairroSacado = bairroSacado;
	}
	public String getCepSacado() {
		return cepSacado;
	}
	public void setCepSacado(String cepSacado) {
		this.cepSacado = cepSacado;
	}
	public String getCidade() {
		return cidade;
	}
	public void setCidade(String cidade) {
		this.cidade = cidade;
	}
	public String getEstado() {
		return estado;
	}
	public void setEstado(String estado) {
		this.estado = estado;
	}
	public String getSacadorAvalista() {
		return sacadorAvalista;
	}
	public void setSacadorAvalista(String sacadorAvalista) {
		this.sacadorAvalista = sacadorAvalista;
	}
	public String getNumeroInscricaoSacado() {
		return numeroInscricaoSacado;
	}
	public void setNumeroInscricaoSacado(String numeroInscricaoSacado) {
		this.numeroInscricaoSacado = numeroInscricaoSacado;
	}
	public Integer getNumeroSequencialRegistro() {
		return numeroSequencialRegistro;
	}
	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		this.numeroSequencialRegistro = numeroSequencialRegistro;
	}
	
	
	
}
