package com.rjconsultores.ventaboletos.blocos.safra;

import java.util.ArrayList;

import com.rjconsultores.ventaboletos.ArquivoRemessaItem;
import com.rjconsultores.ventaboletos.blocos.CabecalhoRemessa;
import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.blocos.RodapeRemessa;
import com.rjconsultores.ventaboletos.blocos.RodapeRemessaPadrao;

public class ArquivoRemessaSafra extends ArquivoRemessaItem {
	
	@Override
	public void setCabecalhoRemessa(CabecalhoRemessa cabecalhoRemessa) {

		if(cabecalhoRemessa instanceof CabecalhoRemessaSafra){
			super.setCabecalhoRemessa(cabecalhoRemessa);
		}else{
			throw new ClassCastException("Somente cabecalho tipo: " + CabecalhoRemessaSafra.class.getName());
		}	
	}
	
	@Override
	public void addTitulo(DetalheObrigatorio titulo){
		if(this.titulos == null){
			this.titulos = new ArrayList<DetalheObrigatorio>();
		}
		
		if(titulo instanceof DetalheObrigatorioSafra){			
			titulo.setNumeroSequencialRegistro(titulos.size() + 2);			
			this.titulos.add(titulo);
		}else{
			throw new ClassCastException("Somente cabecalho tipo: " + DetalheObrigatorioSafra.class.getName());
		}
	}
	
	@Override
	public RodapeRemessa getRodapeRemessa() {
		this.rodapeRemessa = this.rodapeRemessa == null ? new RodapeRemessaSafra() : this.rodapeRemessa;		
		return rodapeRemessa;
	}
}
